Name:		hexxagon
Summary:	Othello clone (GTK version)
Version:	0.3.1
Release:	1mdk
Url:		http://nesqi.homeip.net/hexxagon/
Source0:	http://nesqi.homeip.net/hexxagon/download/%{name}-%{version}.tar.gz
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Patch0:		%{name}-0.3.1-multiline.patch.bz2
Group:		Games/Boards
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+1.2-devel

%description
Hexxagon is a clone of Hexxagon, an adaptation of
the Othello board game written for DOS.
This is the GTK1 version of Hexxagon.

%package -n %{name}-text
Summary:	Othello clone (text version)
Group:		Games/Boards
BuildRequires:	termcap-devel
BuildRequires:	readline-devel

%description -n %{name}-text
Hexxagon is a clone of Hexxagon, an adaptation of
the Othello board game written for DOS.
This is the text (readline) versionof Hexxagon.

%prep
%setup -q
%patch0 -p0
%configure

%build
%make

%install
rm -rf $RPM_BUILD_ROOT

install -m755 src/%{name}-gtk/%{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -m755 src/%{name}-text/%{name}_text -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}-text

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Boards" title="Hexxagon (GTK)" longtitle="Othello clone" needs="x11"
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Boards" title="Hexxagon (text)" longtitle="Othello clone" needs="text"
EOF

install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING README
%{_gamesbindir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %{name}-text
%defattr(-,root,root)
%doc COPYING README
%{_gamesbindir}/%{name}-text

%changelog
* Sun Nov  16 2003 Olivier Blin <oliv.blin@laposte.net> 0.3.1-1mdk
- initial release
- multline strings patch for gcc 3.3 (patch0)
